Subject: Re: [Emu] Proposal: SASL over EAP

From: Rick van Rein <[email-masked]>
Date: Sun, 03 May 2020 07:11:17 +0200

Hi all,

> I think SASL over EAP would be useful.  Would it be in scope for EMU?

Thanks to Alan's comments (and others' silent agreement) I've been able
to answer this with "maybe" but, more importantly, "not yet".

We are designing and building an internet-wide identity system that uses
Diameter at its heart, and EAP-SASL would be an uplink to that system.
However, until we've proven in readily runnable demos and/or specs that
this is viable, it is completely fair to be pulled back to the current
common ground of RADIUS with a pile of add-ons for the specific use case
of Access Points.  In conclusion, we have some work to do establish our
identity system before EMU can be asked to look into this proposal.

No problem, and thanks very much for considering the idea,

Rick van Rein
for InternetWide.org